List model resources
curl --request GET \
--url https://api.together.ai/v1/rl/model-resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.together.ai/v1/rl/model-resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.together.ai/v1/rl/model-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/rl/model-resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/rl/model-resources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/rl/model-resources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/rl/model-resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "MODEL_RESOURCES_STATUS_READY",
"base_model": "Qwen/Qwen3.5-4B",
"compute_config": {
"num_generator_replicas": 1,
"gpu_type": "H100-80GB"
},
"lora_enabled": true,
"created_at": "2026-01-02T00:00:00Z",
"updated_at": "2026-01-02T00:00:05Z",
"optimizer_config": {
"adam": {},
"muon": {
"scaling_strategy": "MUON_SCALING_STRATEGY_ORIGINAL"
}
},
"created_by": "user_123",
"error": {
"code": "MODEL_RESOURCES_ERROR_CODE_CAPACITY_WAIT_TIMEOUT",
"message": "Timed out waiting for cluster capacity. Try again later.",
"occurred_at": "2026-01-02T00:00:05Z"
},
"base_weights_ref": "together://ml_A1b2C3d4E5f6G7h8I9j0K@rv_A1b2C3d4E5f6G7h8I9j0K"
}
],
"meta": {
"limit": 20,
"has_more": true,
"next_cursor": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Model resources
List model resources
Lists the caller’s model resources.
GET
/
rl
/
model-resources
List model resources
curl --request GET \
--url https://api.together.ai/v1/rl/model-resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.together.ai/v1/rl/model-resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.together.ai/v1/rl/model-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/rl/model-resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/rl/model-resources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/rl/model-resources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/rl/model-resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "MODEL_RESOURCES_STATUS_READY",
"base_model": "Qwen/Qwen3.5-4B",
"compute_config": {
"num_generator_replicas": 1,
"gpu_type": "H100-80GB"
},
"lora_enabled": true,
"created_at": "2026-01-02T00:00:00Z",
"updated_at": "2026-01-02T00:00:05Z",
"optimizer_config": {
"adam": {},
"muon": {
"scaling_strategy": "MUON_SCALING_STRATEGY_ORIGINAL"
}
},
"created_by": "user_123",
"error": {
"code": "MODEL_RESOURCES_ERROR_CODE_CAPACITY_WAIT_TIMEOUT",
"message": "Timed out waiting for cluster capacity. Try again later.",
"occurred_at": "2026-01-02T00:00:05Z"
},
"base_weights_ref": "together://ml_A1b2C3d4E5f6G7h8I9j0K@rv_A1b2C3d4E5f6G7h8I9j0K"
}
],
"meta": {
"limit": 20,
"has_more": true,
"next_cursor": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Status filters. When omitted, resources in any status are returned.
Available options:
MODEL_RESOURCES_STATUS_PENDING, MODEL_RESOURCES_STATUS_CREATING, MODEL_RESOURCES_STATUS_READY, MODEL_RESOURCES_STATUS_ERROR, MODEL_RESOURCES_STATUS_STOPPED, MODEL_RESOURCES_STATUS_STOPPING Maximum number of resources to return (1-100)
Cursor for pagination
Filter resources in the current project by the creator ID. Pass "me" to show resources you created.
Was this page helpful?
⌘I